<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F2F6F7"
    android:orientation="vertical">

    <include
        android:id="@+id/title"
        layout="@layout/title_white_bar" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_70"
        android:layout_marginTop="@dimen/dp_14"
        android:layout_marginStart="@dimen/dp_14"
        android:layout_marginEnd="@dimen/dp_14"
        android:background="@drawable/shape_round_white"
        android:orientation="vertical">

        <TextView
            android:id="@+id/mTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="@dimen/dp_16"
            android:text="我的积分："
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_15"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/mTvScore"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:textColor="@color/col_8D0"
            android:textSize="@dimen/sp_23"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/mTv"
            app:layout_constraintLeft_toRightOf="@+id/mTv"
            app:layout_constraintTop_toTopOf="@+id/mTv"
            tools:text="234123" />

        <TextView
            android:id="@+id/mRule"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginEnd="@dimen/dp_16"
            android:drawableLeft="@mipmap/ic_data_none"
            android:drawablePadding="@dimen/dp_4"
            android:text="@string/score_rule"
            android:textColor="@color/col_c7c"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@+id/mTv"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/mTv"
            tools:ignore="UseCompatTextViewDrawableXml" />

        <TextView
            android:id="@+id/mDetailed"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:background="@color/col_1fb"
            android:gravity="center"
            android:padding="@dimen/dp_15"
            android:text="@string/score_detail"
            android:textColor="@color/color_sel_status"
            android:textSize="@dimen/dp_20"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/mRule"
            app:layout_constraintTop_toBottomOf="@+id/mTv" />

        <!--        <TextView-->
        <!--            android:id="@+id/mRule"-->
        <!--            android:layout_width="0dp"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_marginTop="@dimen/dp_20"-->
        <!--            android:background="@color/col_91e"-->
        <!--            android:gravity="center"-->
        <!--            android:visibility="gone"-->
        <!--            android:padding="@dimen/dp_15"-->
        <!--            android:text="@string/score_rule"-->
        <!--            android:textColor="@color/color_sel_status"-->
        <!--            android:textSize="@dimen/dp_20"-->
        <!--            app:layout_constraintLeft_toRightOf="@+id/mDetailed"-->
        <!--            app:layout_constraintRight_toRightOf="parent"-->
        <!--            app:layout_constraintTop_toBottomOf="@+id/mTv" />-->

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/mVp2"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingHorizontal="@dimen/dp_14"
        android:paddingBottom="@dimen/dp_14" />

</LinearLayout>